import Graphics.Rendering.Diagrams

mkRow :: Int -> Diagram
mkRow n = hsep 2 $ replicate n (fc black $ circle 1)

mkTri :: Int -> Diagram
mkTri n = vsepA 1 hcenter $ map mkRow [1..n]

tris n = hsepA 8 bottom $ map mkTri [1..n]

main = renderAs PS "triangles.ps" (Width 300) (tris 4)